package com.muyu.remote.feign;

import com.muyu.common.core.domain.Result;
import com.muyu.remote.feign.Factory.RuleFactory;
import com.muyu.rule.common.domain.RuleEngineVersion;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(value = "cloud-etl-rule",fallbackFactory= RuleFactory.class)
public interface RuleFeign {
    @PostMapping("/version/findVersionById/{id}")
    public Result<RuleEngineVersion> findVersionById(@PathVariable("id") Long id);
}
